Skip to main content
POST
Publish a stack profile draft

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

draft_id
string<uuid>
required

Body

application/json
channel
string | null
default:stable
changelog
string | null
visibility
enum<string> | null
Available options:
organisation,
public,
null
share_organisation_slugs
string[] | null
Maximum array length: 50
version
integer | null

Optimistic draft version; required and positive for summary attachment.

approved_summary_revision
integer

Exact current approval-pointer revision of this draft; omission leaves the new version without a summary.

Required range: x >= 1

Response

Published profile version

profile
StackProfileSummary · object
required
version
object
required
warnings
string[]
required